## com.google.appengine.api.images
Class CompositeTransform

    java.lang.Object
      com.google.appengine.api.images.Transform
          com.google.appengine.api.images.CompositeTransform

All Implemented Interfaces:
  java.io.Serializable

    public class CompositeTransform

extends Transform

A transform that represents zero or more transforms executed in series.

See Also:
  Serialized Form

Method Summary
`CompositeTransform` `concatenate(Transform other)` Concatenates a transform to the end of this composite transform.
`CompositeTransform` `preConcatenate(Transform other)` Concatenates a transform to the start of this composite transform.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### concatenate

    public CompositeTransform concatenate(Transform other)

  Concatenates a transform to the end of this composite transform.

  Parameters:
    `other` - the transform to be appended
  Returns:
    this transform with the other transform appended

### preConcatenate

    public CompositeTransform preConcatenate(Transform other)

  Concatenates a transform to the start of this composite transform.

  Parameters:
    `other` - the transform to be prepended
  Returns:
    this transform with the other transform prepended